package com.zehong.system.domain.form;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 员工信息管理对象 t_staff
 *
 * @author zehong
 * @date 2022-06-17
 */
public class TStaffForm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 姓名 */
    @Excel(name = "姓名")
    private String staffName;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String staffCode;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 部门id */
    @Excel(name = "部门id")
    private Integer deptId;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    private Long userId;

    private Long staffId;

    private int dataKind;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public int getDataKind() {
        return dataKind;
    }

    public void setDataKind(int dataKind) {
        this.dataKind = dataKind;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public void setStaffName(String staffName)
    {
        this.staffName = staffName;
    }

    public String getStaffName()
    {
        return staffName;
    }

    public void setStaffCode(String staffCode)
    {
        this.staffCode = staffCode;
    }

    public String getStaffCode()
    {
        return staffCode;
    }

    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }

    @Override
    public String toString() {
        return "TStaffForm{" +
                "staffName='" + staffName + '\'' +
                ", staffCode='" + staffCode + '\'' +
                ", sex='" + sex + '\'' +
                ", deptId=" + deptId +
                ", phonenumber='" + phonenumber + '\'' +
                ", userId=" + userId +
                ", staffId=" + staffId +
                ", dataKind=" + dataKind +
                '}';
    }
}
